# Endpoints

<table><thead><tr><th width="417">Endpoints</th><th>      </th></tr></thead><tbody><tr><td><a href="#get_brands">/get_brands</a></td><td>Fetch all brands with hushh</td></tr><tr><td><a href="#request_brand_access">/request_brand_access</a></td><td>Access developer brand access</td></tr><tr><td><a href="#get_user_brand_list">/get_user_brand_list</a></td><td>Get all cards downloaded by each user</td></tr><tr><td><a href="#get_user_brand_card">/get_user_brand_card</a></td><td>Specific card information for a user</td></tr></tbody></table>

## Endpoints

### **/get\_brands**

## Fetch all brands

<mark style="color:green;">`GET`</mark> [`https://hushhdevenv.hushh.ai/dev/v1/api/get_brands`](https://hushhdevenv.hushh.ai/dev/v1/api/get_brands)

Get all fashion brands working with Hushh.

#### Request Body

| Name | Type | Description |
| ---- | ---- | ----------- |
| nil. | nil. | nil.        |

#### Sample Response

{% tabs %}
{% tab title="200: OK" %}

```json
{
    "status": 1,
    "message": "Success",
    "data": [
        {
            "_id": "b103d3fd252c0f65841499309b1f088357b7fa74",
            "brand_name": "Moet & Chandon",
            "logo": "https://firebasestorage.googleapis.com/v0/b/hushone-app.appspot.com/o/wallet_brand_banners%2FMC-BrandLogo-RGB-Gradient-Black.png?alt=media&token=387792ac-ad87-4dfe-a071-8f548fd73b1b"
        },
        {
            "_id": "b103d3fd252c0f65841499309b1f088357b7fa75",
            "brand_name": "Pucci",
            "logo": "https://firebasestorage.googleapis.com/v0/b/hushone-app.appspot.com/o/New_wallet_design%2FpucciLogo.png?alt=media&token=00fd8ea9-ca7d-4fe5-9422-0a4125b7eed3"
        }
    ]

```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
**Note:** Only 2 brands are attached in the response due to size; this endpoint will return more than 120 brands
{% endhint %}

### /request\_brand\_access

## Get developer access to a brand

<mark style="color:green;">`POST`</mark> [`https://hushhdevenv.hushh.ai/dev/v1/api/request_brand_access`](https://hushhdevenv.hushh.ai/dev/v1/api/request_brand_access)

Obtain developer access to a brand to obtain sensitive brand-specific information post-brand approval.

#### Request Body

| Name                                           | Type   | Description       |
| ---------------------------------------------- | ------ | ----------------- |
| email<mark style="color:red;">\*</mark>        | string | Developer's email |
| access\_type<mark style="color:red;">\*</mark> | string | Type of access    |
| brand<mark style="color:red;">\*</mark>        | string | Brand ID          |

#### Sample Response

{% tabs %}
{% tab title="200 OK" %}

```json
{
  "status": 1,
  "message": "Success",
  "data": "Access Requested"
}
```

{% endtab %}
{% endtabs %}

### /get\_user\_brand\_list

## Brand cards downloaded by a user

<mark style="color:green;">`POST`</mark> [`https://hushhdevenv.hushh.ai/dev/v1/api/get_user_brand_list`](https://hushhdevenv.hushh.ai/dev/v1/api/get_user_brand_list)

Obtain all the brand cards downloaded by a user

#### Request Body

| Name                                    | Type   | Description |
| --------------------------------------- | ------ | ----------- |
| email<mark style="color:red;">\*</mark> | string | User email  |

#### Sample Response

{% tabs %}
{% tab title="200 OK" %}

```json
{
  "status": 1,
  "message": "Success",
  "data": [
      {
          "_id": "65b7999683d2533b1ecf2ebe",
          "survey_id": "b103d3fd252c0f65841499309b1f088357b7fa125",
          "brand_name": "Berluti"
      },
      {
          "_id": "65b7999683d2533b1ecf2ebs",
          "survey_id": "b103d3fd252c0f65841499309b1f088357b7fa76",
          "brand_name": "Romavi"
      }
  ]
}
```

{% endtab %}
{% endtabs %}

### /get\_user\_brand\_card

## Brand card information for a user

<mark style="color:green;">`POST`</mark> [`https://hushhdevenv.hushh.ai/dev/v1/api/get_user_brand_card`](https://hushhdevenv.hushh.ai/dev/v1/api/get_user_brand_card)

Obtain all brand information such as brand preferences for a user

#### Request Body

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| email<mark style="color:red;">\*</mark>     | string | User email  |
| brand\_id<mark style="color:red;">\*</mark> | string | Brand ID    |

#### Sample Response

{% tabs %}
{% tab title="200 OK" %}

```json
{
  "status": 1,
  "message": "Success",
  "data": [
      {
          "_id": "65b7999683d2533b1ecf2ebe",
          "survey_id": "b103d3fd252c0f65841499309b1f088357b7fa125",
          "card_data": [
              {
                  "question_id": "cbdfff11af7e38a576cab78f2f1b63399f8cee202",
                  "question_text": "What type of Berluti product are you interested in?",
                  "answer_id": "e50d16af58db196e6637e4ed1ce299baaaa68b878",
                  "answer_text": "Desserts and sweets"
              },
              {
                  "question_id": "cbdfff11af7e38a576cab78f2f1b63399f8cee203",
                  "question_text": "What style do you prefer in Berluti products?",
                  "answer_id": "e50d16af58db196e6637e4ed1ce299baaaa68b880",
                  "answer_text": "Special condition"
              },
              {
                  "question_id": "cbdfff11af7e38a576cab78f2f1b63399f8cee204",
                  "question_text": "What is your preferred color or material for Berluti products?",
                  "answer_id": "e50d16af58db196e6637e4ed1ce299baaaa68b885",
                  "answer_text": "Chardonnay"
              },
              {
                  "question_id": "cbdfff11af7e38a576cab78f2f1b63399f8cee205",
                  "question_text": "Are you interested in Berluti's bespoke or made-to-measure services?",
                  "answer_id": "e50d16af58db196e6637e4ed1ce299baaaa68b889",
                  "answer_text": "Fruity and vibrant"
              }
          ]
      }
  ]
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**Note:** We are currently working on expanding our Fashion API functionality
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://hushh.gitbook.io/hushh-docs/api-reference/fashion-api/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
